Subject: Offline Message from Norm Gosselin: I do not think I would ever buy a product
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked]
Date: Sun, 03 Apr 2022 20:13:42 -0000

From: Norm Gosselin <[email-masked]>
Phone: 410-858-7772
Location: Fort George Meade, United States
URL: https://swagtron.com/
Department: SwagTron

I do not think I would ever buy a product from your company.  My son who is an Navy Veteran is having a terrible customer service experience with your company.  I am also a retired veteran who helped my struggling son have a means to get to work to support his kids. His brand new EB-7 bike broke first day and frankly it seems your customer service is not good. He has to ship it back for a 20 day evaluation, when clearly it is a manufacture issue. 

----
Zopim
https://www.zopim.com